Description: Bonjour,

Je sais que la question a déja été posée mais la réponse donnée ne regle pas mon probleme. La compilation
de mon fichier par AMC me donne le message d'erreur "Identifiant d'exercice utilisé plusieurs fois". Pourtant,
j'ai bien donné un identifiant (différent) pour chaque question, dans le format
\element{Definitions}{
\begin{questionmult}{D7}
Au besoin, je peux vous envoyer le fichier en privé.
Je vous remercie.
Claire.

History

07/22/2025 09:44 am - Alexis Bienveniie

- Status changed from New to Feedback

Effectivement il sera difficile de répondre sans voir le code source...

07/22/2025 01:07 pm - Claire Ferron

Merci pour votre réponse,

Je peux vous envoyer mon fichier en privée dans une boite mail?
Cordialement.

Claire.

07/22/2025 09:08 pm - Frédéric Breéal
Vous trouverez I'adresse dans le menu > Aide > Rapport de bogue

07/22/2025 10:10 pm - Alexis Bienveniie

> Aussi, quand je compile ce fichier avec seulement TexMaker, le pdf me montre que le premier sujet a bien 6 questions mais les autres sujets en
contiennent plus. Je ne sais pas si AMC générera de pareils sujets?

Vous avez utilisé le code suivant a l'intérieur de @\exemplaire@ :

<pre>

\melangegroupe{Definitions}\copygroup[1]{Definitions}{tout}

\melangegroupe{Paraboles}\copygroup[1]{Paraboles}{tout}

\melangegroupe{Segments}\copygroup[2]{Segments}{tout}

\melangegroupe{Proprietes}\copygroup[1]{Proprietes}{tout}

\melangegroupe{Parametrisation}\copygroup[1]{Parametrisation}{tout}

\restituegroupe{tout}

</pre>

On voit que vous ajoutez des questions (six en tout) au groupe @tout@, que vous restituez dans la copie.

Mais le groupe @tout@ n'est pas vidé entre chaque copie, ce qui fait qu'il contient 12 questions a la deuxiéme copie, 18 a la troisiéme, etc. et qu'a
partir d'un certain moment certaines questions sont présentes plusieurs fois dans une copie, ce qui explique I'erreur « Identifiant d'exercice utilisé
plusieurs fois ».

Vous devez simplement vider le groupe @tout@ en début de chaque copie, avant d'y ajouter des questions, avec @\cleargroup{tout}@.

07/23/2025 09:00 am - Claire Ferron

Bonjour,
Merci pour votre réponse, effectivement, il fallait vider entre chaque copie et ¢ga marche.
Merci encore et bonne continuation.

Cordialement.

Claire.

07/23/2025 10:13 am - Alexis Bienveniie

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Parfait !
